<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Config.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Config.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Config_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a703b3a9d46933243c86e843750a39520">    3</a></span><span class="preprocessor">#define GG_WINDOW_WIDTH (1200)</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a7182ef844ed986db214622b12069ccf4">    4</a></span><span class="preprocessor">#define GG_WINDOW_HEIGHT (800)</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a958d3e063e074f89e91240a39cf0c692">    5</a></span><span class="preprocessor">#define GG_FULLSCREEN_WINDOW_WIDTH (sf::VideoMode::getDesktopMode().width)</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ac604c821eb5da7dc33e87c2a5ca9549f">    6</a></span><span class="preprocessor">#define GG_FULLSCREEN_WINDOW_HEIGHT (sf::VideoMode::getDesktopMode().height)</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ae7c4ee6df9bbadc873d430d4fd7eba4d">    7</a></span><span class="preprocessor">#define GG_WINDOW_TITLE (std::string(&quot;Graditelj Gradova&quot;</span>))</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a11114738dac7e4b6f9158d87a8531007">    8</a></span><span class="preprocessor">#define GG_WINDOW_VERTICAL_SYNC</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="Config_8hpp.html#add78e49e1f3abaf2cec1a851aaa59982">   10</a></span><span class="preprocessor">#define GG_RESOURCES_PATH (std::string(&quot;resources/&quot;</span>))</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="Config_8hpp.html#adabb0747134e3860e29e4daefa69d0e1">   11</a></span><span class="preprocessor">#define GG_RESOURCES_FONTS_FILENAME (std::string(&quot;Fonts.xml&quot;</span>))</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a85516d5714d022ec224092b4b8585458">   12</a></span><span class="preprocessor">#define GG_RESOURCES_SCENES_FILENAME (std::string(&quot;Scenes.xml&quot;</span>))</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ad5d8b2f27350dcf8e89987c26b53b87d">   13</a></span><span class="preprocessor">#define GG_RESOURCES_STYLE_FILENAME (std::string(&quot;Style.xml&quot;</span>))</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="Config_8hpp.html#adb3293eeb31d3b7cd1fef2b420f8e60a">   14</a></span><span class="preprocessor">#define GG_RESOURCES_TEXTURES_FILENAME (std::string(&quot;Textures.xml&quot;</span>))</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a2f52b7f0291ff8218ce7045813cc9ab9">   15</a></span><span class="preprocessor">#define GG_RESOURCES_IMAGES_FILENAME (std::string(&quot;Images.xml&quot;</span>))</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="Config_8hpp.html#afaa390ccb720d0cd038f0189d31d6ac1">   16</a></span><span class="preprocessor">#define GG_RESOURCES_MUSIC (std::string(&quot;music/music1.wav&quot;</span>))</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a8fe93b2e738d9e1982cb6ba13873387a">   17</a></span><span class="preprocessor">#define GG_RESOURCES_MAP_DEFAULT (std::string(&quot;maps/DefaultMap.xml&quot;</span>))</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a2ad9275fad99783624dbbf2299521174">   18</a></span><span class="preprocessor">#define GG_RESOURCES_SAVE_POZAREVAC (std::string(&quot;saves/Pozarevac.xml&quot;</span>))</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ae6e256990e55be1d6c0e20dba15e1f26">   19</a></span><span class="preprocessor">#define GG_RESOURCES_SAVE_TRSTENIK (std::string(&quot;saves/Trstenik.xml&quot;</span>))</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a52d0ff63f9b45c27f17b2b2270b2d01a">   20</a></span><span class="preprocessor">#define GG_RESOURCES_SAVE_UB (std::string(&quot;saves/Ub.xml&quot;</span>))</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="Config_8hpp.html#acd382640b1e15deef66c01d00188c739">   21</a></span><span class="preprocessor">#define GG_RESOURCES_SAVE_BLACE (std::string(&quot;saves/Blace.xml&quot;</span>))</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ac9f79fc2b8132a26ffc2e8c762e41c38">   22</a></span><span class="preprocessor">#define GG_RESOURCES_SAVE_BEOGRAD (std::string(&quot;saves/Beograd.xml&quot;</span>))</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">// controls</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ab7a8ca1eb30ce83e20be112cdcf607f7">   25</a></span><span class="preprocessor">#define GG_SAVE_GAME                                                           \</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">    ((sf::Keyboard::isKeyPressed(sf::Keyboard::LControl) &amp;&amp;                    \</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">      sf::Keyboard::isKeyPressed(sf::Keyboard::S)))</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a2fd259662376330e341897ec0855febe">   28</a></span><span class="preprocessor">#define GG_ROTATE_TILE (sf::Keyboard::R)</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ab5bda83d1b8fc854f4903f385fa6abed">   29</a></span><span class="preprocessor">#define GG_DEMOLISH_TILE (sf::Keyboard::Space)</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a136269eea328d2d0c2a154ae46dfc8f9">   30</a></span><span class="preprocessor">#define GG_PLACE_TILE (sf::Mouse::Right)</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a860222dded3c5b0c1d9fd97f8b973e22">   31</a></span><span class="preprocessor">#define GG_PAUSE_GAME (sf::Keyboard::Escape)</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a6d61fddf4ee0bb75d42bf399631e2734">   33</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_UP (sf::Keyboard::W)</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="Config_8hpp.html#af6b54ee6fce102c162d327d1d73b3a11">   34</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_LEFT (sf::Keyboard::A)</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ab214afe5195680e3a83588899aa41cd2">   35</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_DOWN (sf::Keyboard::S)</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ab956f6b2a16dd14f7f29102ee48fb9d1">   36</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_RIGHT (sf::Keyboard::D)</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a35ce89c7086864fb8c83748d47206d1e">   38</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_DIAGONALLY_DOWN_LEFT                                    \</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">    ((sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_DOWN) &amp;&amp;                       \</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">      sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_LEFT)))</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="Config_8hpp.html#ac54ad5a87f1a7298f2c79eceb01bd9b7">   41</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_DIAGONALLY_DOWN_RIGHT                                   \</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="preprocessor">    ((sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_DOWN) &amp;&amp;                       \</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">      sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_RIGHT)))</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a63692b43b143b63cef86c7e040028a8b">   44</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_DIAGONALLY_UP_LEFT                                      \</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">    ((sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_UP) &amp;&amp;                         \</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">      sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_LEFT)))</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a85df6a0893f3f70067c7b5f3ad65c539">   47</a></span><span class="preprocessor">#define GG_MOVE_CAMERA_DIAGONALLY_UP_RIGHT                                     \</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">    ((sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_UP) &amp;&amp;                         \</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">      sf::Keyboard::isKeyPressed(GG_MOVE_CAMERA_RIGHT)))</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">//#define GG_SHOW_FPS</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="Config_8hpp.html#a2aaffebc61434437c93750dd8251a1b8">   53</a></span><span class="preprocessor">#define GG_TEST_SCENE_NODE</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">//#define GG_DEBUG</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
